/* seqpp/arnoldi_const.h
 *
 * Copyright (C) 2003 Laboratoire Statistique & Gnome
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/*!
\internal
\brief Constants required for the arnoldi methods. To custom for a memory policy.
*/
#ifndef ARNOLDI_CONST_H
#define ARNOLDI_CONST_H

/* maximum  dimension of a matrix to treat in hqr2
   must be <ARNOLDI_MMAX^2 */
#define HQR2_NMAX 10100

/* maximum dim of the Kyrov space in arnoldi */
#define ARNOLDI_MMAX 100

/* precision of the arnoldi approximation */
#define ARNOLDI_PRECISION 1.0e-10
   
/* max number of iterations in arnoldi */
#define ARNOLDI_MAX_ITER 1500

/* x < EIGEN_EPSILON means x = 0 in max_eigen */
#define EIGEN_EPSILON 1.0e-10

/* epsilon in  frprmn */
#define FRPRMN_EPSILON 1.0e-9
#define FRPRMN_ITMAX 10000

#endif
