/* seqpp/const.h
 *
 * Copyright (C) 2003 Laboratoire Statistique & Gnome
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either ersion 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*!
  \file
  \author Vincent Miele
  \brief Configuration file

   12/2003
*/

#ifndef SEQPP_CONST_H
#define SEQPP_CONST_H
/*!
\internal
\brief Constants required for the seq++ library. To custom for a memory policy.
*/
namespace seqplusplus_space{
//! for SequenceSet, number of sequence per buffer
const int BUFFERSEQ = 100;

//! for Sequence,length of a bloc used to memory the sequence
const int LGBLOC=1000;

//! for Sequence, character definig the line to skip on top of a sequence (cf. fasta file) 
const char SKIPCHAR='>';

//! for Translator, for invalid declaration file
const char INVCHAR='?';
//! comments characters
const char COMCHAR='#';
//! label prefix before a declaration 
const char LABPATT[3]="->";
//! invalid label
const char LABINV[4]="INV";

//! string name max length
const int  LGSTRING=256;
//! file name max length
const int LG_FILENAME=200;
//! precision for the o/ofstream
const int STREAM_PRECISION=8;
//! precision for comparing a double to 0, must be = 1e-(STREAM_PRECISION-1)
const double PRECISION=1e-7;

//! for MTD E.M. Algorithm
const double EPS=1e-5;
const int NBSEED=100;
const int NBITERMAX=100;

//! debug level, for the compilation
const short DEBUG=0;
}
namespace s_s = seqplusplus_space;
#endif
